
Redmine - Patch #26721

use find_by instead of detect

2017-08-19 05:01 - jwjw yy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

In project.rb

enable_module(name)

 enabled_modules.detect {|m| m.name == name}

end 

 should be replaced by in order to only get the specified enabled_module instead of doing filtering after retrieving them all.

enabled_modules.find_by(name: name)

History

#1 - 2017-08-19 05:27 - jwjw yy

- File project.rb.2.diff added

same situation for copy_issues

#2 - 2017-08-19 05:43 - jwjw yy

- File project.rb.3.diff added

#3 - 2017-08-19 07:54 - Toshi MARUYAMA

- Tracker changed from Defect to Patch

- Description updated

- Category set to Code cleanup/refactoring

- Target version set to 4.1.0

Please don't use "Defect" tracker for not defect.

Please use code highlighting in description. It is too hard to read.

#4 - 2017-08-21 00:50 - Pavel Rosický

enabled_modules and versions are usually preloaded, so detect is more effective then find_by that will always trigger a new database query

#5 - 2017-08-21 08:03 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Target version deleted (4.1.0)

#6 - 2021-06-06 08:59 - Go MAEDA

- Status changed from Needs feedback to Closed

Pavel Rosický wrote:

enabled_modules and versions are usually preloaded, so detect is more effective then find_by that will always trigger a new database query

 Closing.

Files
project.rb.diff 472 Bytes 2017-08-19 jwjw yy

project.rb.2.diff 1.07 KB 2017-08-19 jwjw yy

project.rb.3.diff 2.32 KB 2017-08-19 jwjw yy
